# pandas.TimedeltaIndex.to_series

`TimedeltaIndex.``to_series`(index=None, name=None)

  Create a Series with both index and values equal to the index keys useful with map for returning an indexer based on an index.

  Parameters:

  index : Index, optional

  > index of resulting Series. If None, defaults to original index

  name : string, optional

  > name of resulting Series. If None, defaults to name of original index

  Returns: | Series : dtype will be based on the type of the Index values.

Scroll To Top